import { Constants } from "../math/constants.ts";
import { Vector } from "doodler";

const circle = (ctx: CanvasRenderingContext2D, center: Vector, radius: number) => {
  ctx.beginPath();
  ctx.arc(center.x, center.y, radius, 0, Constants.TWO_PI);
}

export const drawCircle = (ctx: CanvasRenderingContext2D, center: Vector, radius: number) => {
  circle(ctx, center, radius);
  ctx.stroke();
}
export const fillCircle = (ctx: CanvasRenderingContext2D, center: Vector, radius: number) => {
  circle(ctx, center, radius);
  ctx.fill();
}